Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class MethodTarget

    java.lang.Object
      |
      +--org.apache.axis.encoding.MethodTarget

All Implemented Interfaces:
  Target

public class MethodTarget
extends java.lang.Object
implements Target

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`MethodTarget(java.lang.Object targetObject, java.lang.reflect.Method targetMethod)` Construct a target whose value is set via a method
`MethodTarget(java.lang.Object targetObject, java.lang.String methodName)` Construct a target whose value is set via a method

Method Summary
`void` | `set(java.lang.Object value)` Set the target's value by invoking the targetMethod.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MethodTarget

    public MethodTarget(java.lang.Object targetObject,
                        java.lang.reflect.Method targetMethod)

  Construct a target whose value is set via a method
  Parameters:
    `targetObject` - is the object containing the value to be set
    `targetMethod` - is the Method used to set the value

### MethodTarget

    public MethodTarget(java.lang.Object targetObject,
                        java.lang.String methodName)
                 throws java.lang.NoSuchMethodException

  Construct a target whose value is set via a method
  Parameters:
    `targetObject` - is the object containing the value to be set
    `methodName` - is the name of the Method

Method Detail

### set

    public void set(java.lang.Object value)
             throws org.xml.sax.SAXException

  Set the target's value by invoking the targetMethod.
  Specified by:
    `set` in interface `Target`
  Parameters:
    `value` - is the new Object value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.